Subject: Re: [Teas] [CCAMP] WG last call on draft-ietf-ccamp-wson-yang-23

From: Zhenghaomian <[email-masked]>
Date: Wed, 18 Mar 2020 02:29:47 +0000

Hi Dieter and Daniele,

Thanks for raising this point, I believe this is a right problem we should work on. To be more explicit, I listed all the document/modules which are expected to have dependency on ietf-layer0-types.

-          ietf-ccamp-wson-yang;

-          ietf-ccamp-flexigrid-yang;

-          ietf-ccamp-wson-tunnel;

-          ietf-ccamp-flexigrid-media-channel-yang;

-          ietf-dwdm-if-param-yang;

-          ietf-ccamp-optical-impairment-topology-yang;

The above order is based on WG adoption date, which is also my understanding the module maturity as well (other people may have different opinions but it’s okay…). Given the fact that there may be future modules that are dependent on ietf-layer0-types in future, the publication of ietf-layer0-types should not be expected on satisfying all the existing works. Instead, we need to agree on ‘what is the right subset of the above documents should the first publication of ietf-layer0-types support?’, and ‘how to deal with the gaps when we are working on the others which are not supported by the published ietf-layer0-types?’.

Regarding the first question, what is in my mind is the first two, i.e., ietf-ccamp-wson-yang and ietf-ccamp-flexigrid-yang, they can be considered as a cluster for publication, as suggested previously by the YANG doctor.
For the second question, as suggested by Daniele, it looks the impairment modules and the transponder modules are progressing in parallel. We don’t have perfect opinion yet. We may either create separate version for them, naming as something like ‘ietf-layer0-types-impairment’, and then publish in separation of ietf-layer0-types. Or alternatively we generally create an update version like ‘ietf-layer0-types-v2’ which inherits everything in ‘ietf-layer0-types’, and publish to obsolete ‘ietf-layer0-types-v2’ when it’s ready.

I am copying to teas WG as well, as they have same problem on ietf-te-types. Maybe their experience can be useful to us as well.

Thank you.

Best wishes,
Haomian

发件人: CCAMP [mailto:[email-masked]] 代表 Daniele Ceccarelli
发送时间: 2020年3月16日 23:19
收件人: Dieter Beller <[email-masked]>; CCAMP <[email-masked]>
主题: Re: [CCAMP] WG last call on draft-ietf-ccamp-wson-yang-23

Hi Dieter,

Good point.
What would your proposal be?

At an high level I would say something like:

Topology impairments free: https://datatracker.ietf.org/doc/draft-ietf-ccamp-wson-yang/
Transponders: https://datatracker.ietf.org/doc/draft-ietf-ccamp-dwdm-if-param-yang/
Impairments aware topology: https://datatracker.ietf.org/doc/draft-ietf-ccamp-optical-impairment-topology-yang/
Opinions?

Daniele

From: Dieter Beller <[email-masked]<mailto:[email-masked]>>
Sent: den 10 mars 2020 19:09
To: Daniele Ceccarelli <[email-masked]<mailto:[email-masked]>>; CCAMP <[email-masked]<mailto:[email-masked]>>
Subject: Re: [CCAMP] WG last call on draft-ietf-ccamp-wson-yang-23

Hi Daniele, Fatai, all,

there is a general issue the WG has to address: there are several WG drafts defining YANG data models for WDM networks including layer0-types:

https://datatracker.ietf.org/doc/draft-ietf-ccamp-layer0-types/

https://datatracker.ietf.org/doc/draft-ietf-ccamp-wson-yang/
https://datatracker.ietf.org/doc/draft-ietf-ccamp-dwdm-if-param-yang/
https://datatracker.ietf.org/doc/draft-ietf-ccamp-optical-impairment-topology-yang/

These YANG models are overlapping in a sense that they are defining containers that contain similar data. An example are transponder properties.
Different names and different type definitions are used in these drafts for the same transponder property.

My understanding was that layer0-types provides the foundation in terms of type definitions and groupings, on which the YANG models in the drafts
listed above are based in order to achieve alignment and consistency among them. If all these drafts listed above are progressed separately, I am
afraid that it will result in a mess making the applicability of the YANG data models doubtful.

To sort this out, the WG should take the time and align these drafts to the largest possible extent which should be beneficial for the applicability of
the YANG models.

Thanks,
Dieter
On 10.03.2020 16:40, Daniele Ceccarelli wrote:
CCAMP,

the IPR declaration collection has been successfully completed and we can move to the next step.

This starts a 3 weeks working group last call on draft-ietf-ccamp-wson-yang-23.
The last call ends on Tuesday March 31st. Please send you comments to the CCAMP mailing list.

All the IPR declarations from authors and contributors have been collected and can be found in the history of the document.
If interested, please volunteer to be the shepherd of the draft (authors excluded).

Authors please note that the YANG validation reports 135 ERRORS and IDNITS 7 warnings.

Thanks

Daniele & Fatai

_______________________________________________

CCAMP mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/ccamp